from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XContentProviderManager(XInterface, Protocol):
    def deregisterContentProvider(self, Provider: XContentProvider, Scheme: str) -> None: ...
    def queryContentProviders(self) -> list[ContentProviderInfo]: ...
    def queryContentProvider(self, Identifier: str) -> XContentProvider: ...
